hdcp1x: XHdcp1x_Rx Struct Reference

| hdcp1x Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp1x_Rx Struct Reference
Hdcp1x_v4_3

This typedef contains the receive HDCP interface. More...

## Data Fields
u32 | CurrentState
| The interface's current state. More...
u32 | PreviousState
| The interface's previous state. More...
u16 | Flags
| The interface flags. More...
u16 | PendingEvents
| The bit map of pending events. More...
XHdcp1x_RxStats | Stats
| The interface's statistics. More...
XHdcp1x_RxEncyptionWatch | XORState
| The interface's encryption state. More...
XHdcp1x_SetDdcHandler | DdcSetAddressCallback
| Function pointer for setting DDC register address. More...
void * | DdcSetAddressCallbackRef
| To be passed to callback function. More...
u8 | IsDdcSetAddressCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp1x_SetDdcHandler | DdcSetDataCallback
| Function pointer for setting DDC register data. More...
void * | DdcSetDataCallbackRef
| To be passed to callback function. More...
u8 | IsDdcSetDataCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp1x_GetDdcHandler | DdcGetDataCallback
| Function pointer for getting DDC register data. More...
void * | DdcGetDataCallbackRef
| To be passed to callback function. More...
u8 | IsDdcGetDataCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp1x_Callback | RepeaterDownstreamAuthCallback
| (Repeater)Post authenticate to downstream, second part of authentication start callback More...
void * | RepeaterDownstreamAuthRef
| (Repeater)Post authenticate to downstream, second part of authentication start reference More...
u32 | IsRepeaterDownstreamAuthCallbackSet
| (Repeater)Is "Post authenticate to downstream to trigger second part of authentication" callback set flag More...
XHdcp1x_Callback | AuthenticatedCallback
| Authenticated callback. More...
void * | AuthenticatedCallbackRef
| Authenticated reference. More...
u32 | IsAuthenticatedCallbackSet
| Authenticated config flag. More...
XHdcp1x_Callback | UnauthenticatedCallback
| Unauthenticated callback. More...
void * | UnauthenticatedCallbackRef
| Unauthenticated reference. More...
u32 | IsUnauthenticatedCallbackSet
| Unauthenticated config flag. More...
XHdcp1x_Callback | TopologyUpdateCallback
| Topology Update callback. More...
void * | TopologyUpdateCallbackRef
| Topology Update reference. More...
u32 | IsTopologyUpdateCallbackSet
| Topology Update config flag. More...
XHdcp1x_Callback | EncryptionUpdateCallback
| Encryption Update callback. More...
void * | EncryptionUpdateCallbackRef
| Encryption Update reference. More...
u32 | IsEncryptionUpdateCallbackSet
| Encryption Update config flag. More...

## Detailed Description

This typedef contains the receive HDCP interface.

## Field Documentation

XHdcp1x_Callback XHdcp1x_Rx::AuthenticatedCallback

Authenticated callback.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

void* XHdcp1x_Rx::AuthenticatedCallbackRef

Authenticated reference.

Referenced by XHdcp1x_RxSetCallback().

u32 XHdcp1x_Rx::CurrentState

The interface's current state.

Referenced by XHdcp1x_RxInfo(), XHdcp1x_RxIsAuthenticated(), XHdcp1x_RxIsEnabled(), XHdcp1x_RxIsInComputations(), XHdcp1x_RxIsInProgress(), and XHdcp1x_RxIsInWaitforready().

XHdcp1x_GetDdcHandler XHdcp1x_Rx::DdcGetDataCallback

Function pointer for getting DDC register data.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

void* XHdcp1x_Rx::DdcGetDataCallbackRef

To be passed to callback function.

Referenced by XHdcp1x_RxSetCallback().

XHdcp1x_SetDdcHandler XHdcp1x_Rx::DdcSetAddressCallback

Function pointer for setting DDC register address.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

void* XHdcp1x_Rx::DdcSetAddressCallbackRef

To be passed to callback function.

Referenced by XHdcp1x_RxSetCallback().

XHdcp1x_SetDdcHandler XHdcp1x_Rx::DdcSetDataCallback

Function pointer for setting DDC register data.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

void* XHdcp1x_Rx::DdcSetDataCallbackRef

To be passed to callback function.

Referenced by XHdcp1x_RxSetCallback().

XHdcp1x_Callback XHdcp1x_Rx::EncryptionUpdateCallback

Encryption Update callback.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

void* XHdcp1x_Rx::EncryptionUpdateCallbackRef

Encryption Update reference.

Referenced by XHdcp1x_RxSetCallback().

u16 XHdcp1x_Rx::Flags

The interface flags.

Referenced by XHdcp1x_RxInfo().

u32 XHdcp1x_Rx::IsAuthenticatedCallbackSet

Authenticated config flag.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

u8 XHdcp1x_Rx::IsDdcGetDataCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

u8 XHdcp1x_Rx::IsDdcSetAddressCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

u8 XHdcp1x_Rx::IsDdcSetDataCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

u32 XHdcp1x_Rx::IsEncryptionUpdateCallbackSet

Encryption Update config flag.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

u32 XHdcp1x_Rx::IsRepeaterDownstreamAuthCallbackSet

(Repeater)Is "Post authenticate to downstream to trigger second part of authentication" callback set flag

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

u32 XHdcp1x_Rx::IsTopologyUpdateCallbackSet

Topology Update config flag.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

u32 XHdcp1x_Rx::IsUnauthenticatedCallbackSet

Unauthenticated config flag.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

u16 XHdcp1x_Rx::PendingEvents

The bit map of pending events.

Referenced by XHdcp1x_RxInit().

u32 XHdcp1x_Rx::PreviousState

The interface's previous state.

Referenced by XHdcp1x_RxInfo().

XHdcp1x_Callback XHdcp1x_Rx::RepeaterDownstreamAuthCallback

(Repeater)Post authenticate to downstream, second part of authentication start callback

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

void* XHdcp1x_Rx::RepeaterDownstreamAuthRef

(Repeater)Post authenticate to downstream, second part of authentication start reference

Referenced by XHdcp1x_RxSetCallback().

XHdcp1x_RxStats XHdcp1x_Rx::Stats

The interface's statistics.

Referenced by XHdcp1x_RxInfo().

XHdcp1x_Callback XHdcp1x_Rx::TopologyUpdateCallback

Topology Update callback.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

void* XHdcp1x_Rx::TopologyUpdateCallbackRef

Topology Update reference.

Referenced by XHdcp1x_RxSetCallback().

XHdcp1x_Callback XHdcp1x_Rx::UnauthenticatedCallback

Unauthenticated callback.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_RxSetCallback().

void* XHdcp1x_Rx::UnauthenticatedCallbackRef

Unauthenticated reference.

Referenced by XHdcp1x_RxSetCallback().

XHdcp1x_RxEncyptionWatch XHdcp1x_Rx::XORState

The interface's encryption state.